Create Deployment
curl --request POST \
--url https://api.example.com/v1/agents/{assistant_id}/deployments \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"channel_type": "<string>",
"name": "<string>",
"alias": "<string>",
"config": {},
"assistant_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/v1/agents/{assistant_id}/deployments"
payload = {
"channel_type": "<string>",
"name": "<string>",
"alias": "<string>",
"config": {},
"assistant_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel_type: '<string>',
name: '<string>',
alias: '<string>',
config: {},
assistant_version_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/v1/agents/{assistant_id}/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_type": "<string>",
"is_active": true,
"published_at": "2023-11-07T05:31:56Z",
"trigger_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistant_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"alias": "<string>",
"config": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Deployments
Create Deployment
POST
/
v1
/
agents
/
{assistant_id}
/
deployments
Create Deployment
Authorizations
Path Parameters
Body
application/json
Response
Successful Response
⌘I